Method: projects.locations.collections.engines.analytics.exportMetrics

Exports metrics.

HTTP request

POST https://discoveryengine.googleapis.com/v1alpha/{analytics=projects/*/locations/*/collections/*/engines/*/analytics}:exportMetrics

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
analytics

string

Required. The analytics resource name under the engine where the metrics are created. The format is projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/analytics.

Request body

The request body contains data with the following structure:

JSON representation
{
  "outputConfig": {
    object (OutputConfig)
  }
}
Fields
outputConfig

object (OutputConfig)

Required. The output location of the data.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.

OutputConfig

The output configuration setting.

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "bigqueryDestination": {
    object (BigQueryDestination)
  }
  // End of mutually exclusive fields.
}
Fields
The configuration of destination for holding output data. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
bigqueryDestination

object (BigQueryDestination)

The BigQuery location where the output is to be written to.

End of mutually exclusive fields.

BigQueryDestination

The BigQuery output destination configuration.

JSON representation
{
  "datasetId": string,
  "tableId": string
}
Fields
datasetId

string

Required. The ID of a BigQuery Dataset.

tableId

string

Required. The tableId of exported BigQuery table.